Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012115ScribusGeneralpublic2014-03-02 22:402014-03-05 23:10
Reporterchristoph_s 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012115: Redoing a spiral doesn't update the Document Outline
DescriptionIf a deleted spiral has been re-created via redo, it isn't listed in the Document Outline.
Steps To Reproduce1) Create new doc.

2) Insert spiral.

3) Open Document Outline.

4) Undo the creation of the spiral.

5) Redo the creation.

--> Document outline is empty.
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0031441)
christoph_s (administrator)
2014-03-02 22:48

The same goes for straight lines, freehand lines and calligraphic lines.
(0031444)
FirasH (developer)
2014-03-03 01:33

I've made some further tests (always with undo-redo) and found out this:

Keep always "Outline" window opened

+ Tables entries are not updated doing so:
1) Insert a Table
2) Undo once
The Table entry is still present

3) Insert an item such as a Text/Image Frame, Polygon, ecc
The Table entry in "Outline" window is removed

If you inserted another item before step 1), undoing twice will remove the table entry from "Outline" window.
(0031453)
christoph_s (administrator)
2014-03-05 01:11

It still doesn't work.
(0031454)
cbradney (administrator)
2014-03-05 07:25
edited on: 2014-03-05 07:27

It does work for Spirals.. feel free to raise other issues in separate bugs. You need r18872

(0031455)
christoph_s (administrator)
2014-03-05 08:26

I have r18872 and I also deleted the ./scribus directory to resolve all doubts. Re-doing the spiral does *not* update the Document Outline.
(0031457)
cbradney (administrator)
2014-03-05 20:28

It does.. this case for this bug is:
create spiral
delete spiral
undo delete
redo delete

This works. If you have another case, open a new bug.
(0031458)
cbradney (administrator)
2014-03-05 20:52

r18873 now has an additional fix that likely fixes the other case you were talking about.
(0031460)
christoph_s (administrator)
2014-03-05 23:10

Tested, fixed. Thanks.

- Issue History
Date Modified Username Field Change
2014-03-02 22:40 christoph_s New Issue
2014-03-02 22:48 christoph_s Note Added: 0031441
2014-03-03 01:33 FirasH Note Added: 0031444
2014-03-04 22:57 cbradney Assigned To => cbradney
2014-03-04 22:57 cbradney Status new => assigned
2014-03-04 23:18 cbradney Status assigned => resolved
2014-03-04 23:18 cbradney Fixed in Version => 1.5.0svn
2014-03-04 23:18 cbradney Resolution open => fixed
2014-03-05 01:11 christoph_s Note Added: 0031453
2014-03-05 01:11 christoph_s Status resolved => feedback
2014-03-05 01:11 christoph_s Resolution fixed => reopened
2014-03-05 07:25 cbradney Note Added: 0031454
2014-03-05 07:25 cbradney Status feedback => resolved
2014-03-05 07:25 cbradney Resolution reopened => fixed
2014-03-05 07:27 cbradney Note Edited: 0031454 View Revisions
2014-03-05 08:26 christoph_s Note Added: 0031455
2014-03-05 08:26 christoph_s Status resolved => feedback
2014-03-05 08:26 christoph_s Resolution fixed => reopened
2014-03-05 20:28 cbradney Note Added: 0031457
2014-03-05 20:28 cbradney Status feedback => resolved
2014-03-05 20:28 cbradney Resolution reopened => fixed
2014-03-05 20:52 cbradney Note Added: 0031458
2014-03-05 23:10 christoph_s Note Added: 0031460
2014-03-05 23:10 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker